from RestrictedManager.xorg_driver import XorgDriverHandler

from gettext import gettext as _

class NvidiaDriver(XorgDriverHandler):
    is_handler = True

    name = "nvidia"
    description = _("NVIDIA accelerated graphics driver")
    rationale = _("This driver is required to fully utilise the 3D potential "
                 "of NVIDIA graphics cards, as well as provide 2D "
                 "acceleration of newer cards.\n\n"
                 "If you wish to enable desktop effects, this driver is "
                 "required.\n\n"
                 "If this driver is not enabled, you will not be able to "
                 "enable desktop effects and will not be able to run software "
                 "that requires 3D acceleration, such as some games.")

    def __init__(self, module, 
        driver_package = "nvidia-glx",
        extra_options = "AddARGBVisuals True\\nAddARGBGLXVisuals True\\nNoLogo True"):
        XorgDriverHandler.__init__(self, module, driver_package, "nvidia",
            extra_options, "nv", ["glx"], ["dri", "GLcore"])

class LegacyNvidiaDriver(NvidiaDriver):
    is_handler = True

    name = "nvidia_legacy"
    description = _("NVIDIA accelerated graphics driver (legacy cards)")

    def __init__(self, module):
        NvidiaDriver.__init__(self, module, "nvidia-glx-legacy", 
            "AllowGLXWithComposite True\\nNoLogo True")
